<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:1.0" name="subsystem.logging.socket-handler">
    <annotation name="jboss-op">
        <elem name="name" value="add"/>
        <elem name="op-params" value="autoflush,block-on-reconnect,enabled,encoding,filter-spec,level,named-formatter,outbound-socket-binding-ref,protocol,ssl-context"/>
        <elem name="addr-params" value="profile,subsystem,socket-handler"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="subsystem.logging"/>
    </annotation>
    <provides>
        <capability name="$profile.org.wildfly.logging.handler.$socket-handler"/>
    </provides>
    <requires>
        <capability name="$profile.org.wildfly.security.ssl-context.$ssl-context" optional="true"/>
        <capability name="$profile.org.wildfly.logging.formatter.$named-formatter"/>
        <capability name="$profile.org.wildfly.logging.filter.$filter-spec" optional="true"/>
        <capability name="org.wildfly.network.outbound-socket-binding.$outbound-socket-binding-ref"/>
    </requires>
    <refs>
        <ref feature="subsystem.logging"/>
        <ref feature="profile" nillable="true"/>
    </refs>
    <params>
        <param name="outbound-socket-binding-ref"/>
        <param name="filter-spec" nillable="true"/>
        <param name="level" nillable="true"/>
        <param name="block-on-reconnect" nillable="true"/>
        <param name="socket-handler" feature-id="true"/>
        <param name="profile" feature-id="true" default="GLN_UNDEFINED"/>
        <param name="subsystem" feature-id="true" default="logging"/>
        <param name="ssl-context" nillable="true"/>
        <param name="encoding" nillable="true"/>
        <param name="enabled" nillable="true"/>
        <param name="autoflush" nillable="true"/>
        <param name="protocol" nillable="true"/>
        <param name="named-formatter"/>
    </params>
</feature-spec>